export interface IResponse<T> extends Promise<T> {
  code: number;
  data?: T;
  msg: string;
}

export interface IUser {
  uid: number | string;
  nickname: string;
  token: string;
}

export interface IMeta {
  current_page: number;
  next_page: number;
  last_page: number;
  per_page: number;
  total: number;
  is_end: boolean;
  next_page_url: string;
  prev_page_url: string;
}

export interface IList<T> {
  meta: IMeta;
  list: T[];
}

export interface IBookSearchResult {
  id: number;
  bid: string;
  name: string;
  platform: string;
}

export interface IDeliveryBook {
  id: number;
  bid: number | string;
  book_name: string;
  delivery_bid: number;
  delivery_platform: string;
  status: number;
  start_time: string;
  end_time: string;
  official_name: string;
}

export interface IOfficialSimple {
  id: number;
  name: string;
}

export interface ADpushSimple {
  id: number;
  email: string;
  account_id: string | number;
  account_name: string;
  delivery_platform: string;
  user_name: string;
  status: string | number;
}

export interface PageOptions {
  current: number;
  pageSize: number;
  total: number;
}

export interface IOfficials {
  id: number;
  start_time: string;
  end_time: string;
  app_id: string;
  platform: string;
  channel_id: number;
  account_name: string;
  nickname: string;
}

export interface ADPlanItem {
  ad_id: string | number;
  ad_name: string;
  status: string | number;
  cpa_bid: string | number;
  ad_create_time: string;
  external_url: string;
  uid: string;
  delivery_platform: string;
  cost: number;
  show: string;
  crt: string;
  click: number | string;
  avg_click_cost: number;
  avg_show_cost: number;
  convert: number;
  convert_cost: number;
  convert_rate: number;
  campaign_name: string;
  email: string;
  account_name: string;
  start_time: string;
  end_time: string;
  budget: string;
  aim: string;
}

export interface IPlatform {
  desc: string;
  name: string;
}
